/*
   Copyright 2009-2012 IEAP CTU
   Author: Daniel Turecek (daniel.turecek@utef.cvut.cz)
 */
package cz.ieap.jplugininterface.structs;

/**
 * Class containing definitions of constants for DataTypes in pixelman
 * @author Daniel Turecek
 */
public class DataTypes {

    /** C bool value (int)*/
    public final static int TYPE_BOOL   = 0;
   
    /**  signed char */
    public final static int TYPE_CHAR   = 1;

    /**  unsigned char */
    public final static int TYPE_UCHAR  = 2;

    /**  byte (unsigned char) */
    public final static int TYPE_BYTE   = 3;

    /**  signed short */
    public final static int TYPE_I16    = 4;

    /**  unsigned short */
    public final static int TYPE_U16    = 5;

    /**  int */
    public final static int TYPE_I32    = 6;

    /**  unsigned int */
    public final static int TYPE_U32    = 7;

    /**  long long */
    public final static int TYPE_I64    = 8;

    /**  unsigned long long */
    public final static int TYPE_U64    = 9;

    /**  float */
    public final static int TYPE_FLOAT  = 10;

    /**  double */
    public final static int TYPE_DOUBLE = 11;

    /**  zero terminated string */
    public final static int TYPE_STRING = 12;

    /**  border */
    public final static int TYPE_LAST   = 13;

    /** String table with types*/
    public final static String[] text = {
        "BOOL",
        "CHAR",
        "UCHAR",
        "BYTE",
        "I16",
        "U16",
        "I32",
        "U32",
        "I64",
        "U64",
        "FLOAT",
        "DOUBLE",
        "STRING",
        "LAST"
    };

    /**
     * Returns string representation of specified type
     * @param type type to get string representation of
     * @return type as string
     */
    public static String dataTypeToString(int type){
        if (type < 0 || type > text.length)
            return null;
        return text[type];

    }

    /**
     * Returns integer value of type in string format.
     * @param dataType - string representation of data type
     * @return TYPE_XXX value
     */
    public static int dataTypeFromString(String dataType){
        for (int i = 0; i < text.length; i++)
            if (text[i].equals(dataType))
                return i;
        return TYPE_LAST;
    }
}
