/*
   Copyright 2009-2010 IEAP CTU
   Author: Daniel Turecek (daniel.turecek@utef.cvut.cz)
 */
package cz.ieap.jplugininterface.structs;

import cz.ieap.jplugininterface.callbacks.FrameAttribFuncInterface;

/**
 * Class for storing ExtFrameAttribInfo structure data
 * structure describing custom frame attribute provided by plugin (template for attribute)
 * @author Daniel Turecek
 */
public class ExtFrameAttribInfo {
    public FrameAttribFuncInterface getFrameAttribInterface;
    public String pluginName = "";   // plugin which provides attribute value
    public String attribName = "";   // name of attribute
    public String description = "";  // description
    public int type;            // type of attribute
    public long userData;       // userData for GetFrameAttribType function

    @Override
    public String toString(){
        return "[Type:"+type + ", PluginName:" + pluginName + ", Description:"+ description+", attribName: "+attribName+", userData: "+userData+"]";
    }
}