/*
   Copyright 2009-2010 IEAP CTU
   Author: Daniel Turecek (daniel.turecek@utef.cvut.cz)
 */
package cz.ieap.jplugininterface.structs;

/**
 * Class describing one parameter of plugin function in Pixelman
 * @author Daniel Turecek
 */
public class ExtParamInfo {
    public int type;                // parameter type
    public int count;               // count (for array of type)
    public String description = ""; // description string

    /**
     * Constructor of ExtParamInfo
     * @param aType param type (@see DataTypes)
     * @param aCount  count (array)
     * @param aDescription description
     */
    public ExtParamInfo(int aType, int aCount, String aDescription){
        type = aType;
        count = aCount;
        description = aDescription;
    }

    public ExtParamInfo(){
       
    }

    @Override
    public String toString(){
        return "[Type:"+type + ", Count:" + count + ", Description:"+ description+"]";
    }
}
