"""
workaround module for new Java update on Mac where Thread.setDefaultUncaughtExceptionHandler is not working 
for awt event thread. This means, when an exception occures in awt thread, and can be in python code
it is silently printed to console, but not caught by python interpreter -> not shown in log window in JavaScripting.

The workaround work the way, that this method is used as decorator for every function that is called from GUI (typicaly, button handlers,
...). Exaample:

from catchexception import catchex

@catchex
def onButtonEvent(self, event):
    # some code that generates exception

"""
import sys
import traceback

def catchex(method):
    def wrapper(*args, **kwargs):
        rc = -1
        try:
            rc = method(*args, **kwargs)
        except:
            print >> sys.stderr, traceback.format_exc()
        return rc
    return wrapper


